<?php
/**
* Footer Settings.
*
* @package Digital Media
*/

$digital_media_default = digital_media_get_default_theme_options();

$wp_customize->add_section( 'digital_media_footer_widget_area',
	array(
	'title'      => esc_html__( 'Footer Settings', 'digital-media' ),
	'priority'   => 200,
	'capability' => 'edit_theme_options',
	'panel'      => 'digital_media_theme_option_panel',
	)
);

$wp_customize->add_setting('digital_media_display_footer',
    array(
        'default' => $digital_media_default['digital_media_display_footer'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'digital_media_sanitize_checkbox',
    )
);
$wp_customize->add_control('digital_media_display_footer',
    array(
        'label' => esc_html__('Enable Footer', 'digital-media'),
        'section' => 'digital_media_footer_widget_area',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'digital_media_footer_column_layout',
	array(
	'default'           => $digital_media_default['digital_media_footer_column_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'digital_media_sanitize_select',
	)
);
$wp_customize->add_control( 'digital_media_footer_column_layout',
	array(
	'label'       => esc_html__( 'Footer Column Layout', 'digital-media' ),
	'section'     => 'digital_media_footer_widget_area',
	'type'        => 'select',
	'choices'               => array(
		'1' => esc_html__( 'One Column', 'digital-media' ),
		'2' => esc_html__( 'Two Column', 'digital-media' ),
		'3' => esc_html__( 'Three Column', 'digital-media' ),
	    ),
	)
);

$wp_customize->add_setting( 'digital_media_footer_copyright_text',
	array(
	'default'           => $digital_media_default['digital_media_footer_copyright_text'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'digital_media_footer_copyright_text',
	array(
	'label'    => esc_html__( 'Footer Copyright Text', 'digital-media' ),
	'section'  => 'digital_media_footer_widget_area',
	'type'     => 'text',
	)
);

$wp_customize->add_setting('digital_media_copyright_font_size',
    array(
        'default'           => $digital_media_default['digital_media_copyright_font_size'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'digital_media_sanitize_number_range',
    )
);
$wp_customize->add_control('digital_media_copyright_font_size',
    array(
        'label'       => esc_html__('Copyright Font Size', 'digital-media'),
        'section'     => 'digital_media_footer_widget_area',
        'type'        => 'number',
        'input_attrs' => array(
           'min'   => 5,
           'max'   => 30,
           'step'   => 1,
    	),
    )
);

$wp_customize->add_setting( 'digital_media_copyright_alignment', array(
    'default'           => 'Default',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'digital_media_sanitize_copyright_alignment_meta',
) );

$wp_customize->add_control( 'digital_media_copyright_alignment', array(
    'label'    => esc_html__( 'Copyright Section Alignment', 'digital-media' ),
    'section'  => 'digital_media_footer_widget_area',
    'type'     => 'select',
    'choices'  => array(
        'Default' => esc_html__( 'Default View', 'digital-media' ),
        'Reverse' => esc_html__( 'Reverse View', 'digital-media' ),
        'Center'  => esc_html__( 'Centered Content', 'digital-media' ),
    ),
) );

$wp_customize->add_setting( 'digital_media_footer_widget_background_color', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_hex_color'
));
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'digital_media_footer_widget_background_color', array(
    'label'     => __('Footer Widget Background Color', 'digital-media'),
    'description' => __('It will change the complete footer widget background color.', 'digital-media'),
    'section' => 'digital_media_footer_widget_area',
    'settings' => 'digital_media_footer_widget_background_color',
)));

$wp_customize->add_setting('digital_media_footer_widget_background_image',array(
    'default'   => '',
    'sanitize_callback' => 'esc_url_raw',
));
$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'digital_media_footer_widget_background_image',array(
    'label' => __('Footer Widget Background Image','digital-media'),
    'section' => 'digital_media_footer_widget_area'
)));

$wp_customize->add_setting( 'digital_media_footer_widget_title_alignment',
        array(
        'default'           => $digital_media_default['digital_media_footer_widget_title_alignment'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'digital_media_sanitize_footer_widget_title_alignment',
        )
    );
    $wp_customize->add_control( 'digital_media_footer_widget_title_alignment',
        array(
        'label'       => esc_html__( 'Footer Widget Title Alignment', 'digital-media' ),
        'section'     => 'digital_media_footer_widget_area',
        'type'        => 'select',
        'choices'     => array(
            'left' => esc_html__( 'Left', 'digital-media' ),
            'center'  => esc_html__( 'Center', 'digital-media' ),
            'right'    => esc_html__( 'Right', 'digital-media' ),
            ),
        )
    );

$wp_customize->add_setting('digital_media_enable_to_the_top',
    array(
        'default' => $digital_media_default['digital_media_enable_to_the_top'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'digital_media_sanitize_checkbox',
    )
);
$wp_customize->add_control('digital_media_enable_to_the_top',
    array(
        'label' => esc_html__('Enable To The Top', 'digital-media'),
        'section' => 'digital_media_footer_widget_area',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'digital_media_to_the_top_text',
    array(
    'default'           => $digital_media_default['digital_media_to_the_top_text'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'digital_media_to_the_top_text',
    array(
    'label'    => esc_html__( 'Edit Text Here', 'digital-media' ),
    'section'  => 'digital_media_footer_widget_area',
    'type'     => 'text',
    )
);